scitbx::boost_python::container_conversions::fixed_size_policy Struct Reference

`#include <container_conversions.h>`

Collaboration diagram for scitbx::boost_python::container_conversions::fixed_size_policy:

## Static Public Member Functions

static bool | check_convertibility_per_element ()
template<typename ContainerType>
static bool | check_size (boost::type< ContainerType >, std::size_t sz)
template<typename ContainerType>
static void | assert_size (boost::type< ContainerType >, std::size_t sz)
template<typename ContainerType>
static void | reserve (ContainerType &, std::size_t sz)
template<typename ContainerType, typename ValueType>
static void | set_value (ContainerType &a, std::size_t i, ValueType const &v)

## Member Function Documentation

## assert_size()

template<typename ContainerType>

void scitbx::boost_python::container_conversions::fixed_size_policy::assert_size | ( | boost::type< ContainerType > | ,
|  | std::size_t | sz )

inline static

References check_size().

## check_convertibility_per_element()

bool scitbx::boost_python::container_conversions::fixed_size_policy::check_convertibility_per_element | ( |  | ) |

inline static

## check_size()

template<typename ContainerType>

bool scitbx::boost_python::container_conversions::fixed_size_policy::check_size | ( | boost::type< ContainerType > | ,
|  | std::size_t | sz )

inline static

Referenced by assert_size().

## reserve()

template<typename ContainerType>

void scitbx::boost_python::container_conversions::fixed_size_policy::reserve | ( | ContainerType & | ,
|  | std::size_t | sz )

inline static

Referenced by set_value().

## set_value()

template<typename ContainerType, typename ValueType>

void scitbx::boost_python::container_conversions::fixed_size_policy::set_value | ( | ContainerType & | a,
|  | std::size_t | i,
|  | ValueType const & | v )

inline static

References reserve().

The documentation for this struct was generated from the following file:

- rcsb/container_conversions.h